Skip to content
iTick
  1. Docs
  2. REST API
  3. Crypto
  4. Batch Real-Time Quote

Batch Real-Time Quote

Enables batch retrieval of real-time quote data for multiple cryptocurrency trading pairs. Returns complete market snapshots for each pair, including latest price, 24-hour price change, trading volume, and order book. Designed specifically for portfolio monitoring, multi-currency market dashboards, and strategic decision-making, it significantly enhances data retrieval efficiency and reduces API call volume.

GET/crypto/quotes

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

onumber

Opening price

hnumber

Highest price

lnumber

Lowest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

tunumber

Trading amount

tsnumber

Trading status of the symbol

Code Examples

import requests

url = "https://api.itick.org/crypto/quotes?region=BA&codes=BTCUSDT,ETHUSDT"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/crypto/quotes?region=BA&codes=BTCUSDT,ETHUSDT

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "BTCUSDT": {
      "s": "BTCUSDT",
      "ld": 116216.87,
      "o": 115131.02,
      "h": 116828.93,
      "l": 114259,
      "t": 1754585538020,  // 2025-08-07 16:52:18 UTC
      "v": 11497.05829,
      "tu": 1330432358.619943,
      "ts": 0
    },
    "ETHUSDT": {
      "s": "ETHUSDT",
      "ld": 3812.5,
      "o": 3649.44,
      "h": 3865.64,
      "l": 3638.56,
      "t": 1754585538028,  // 2025-08-07 16:52:18 UTC
      "v": 553868.7467,
      "tu": 2085284600.019927,
      "ts": 0
    }
  }
}